package _VisualDVM.Passes.All;
import _VisualDVM.Global;
public class AppendBugReportComment extends AppendBugReportField {
    @Override
    protected boolean canStart(Object... args) throws Exception {
        return super.canStart("comment",
                Global.mainModule.getUI().getMainWindow().getCallbackWindow().getBugReportCommentAdditionText());
    }
    @Override
    protected void performDone() throws Exception {
        super.performDone();
        Global.mainModule.getUI().getMainWindow().getCallbackWindow().ClearBugReportCommentAdditionText();
    }
    @Override
    protected boolean canUpdate() {
        return target.canAppend(Global.mainModule.getAccount(), Log);
    }
}
